Package net.shibboleth.idp.cli

# Class MetadataQueryArguments

java.lang.Object
net.shibboleth.idp.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.MetadataQueryArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class MetadataQueryArguments extends AbstractCommandLineArguments
Command line processing for MetadataQuery flow.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`cas`
CAS protocol.
`private String`
`entityID`
EntityID.
`private String`
`protocol`
Role protocol.
`private boolean`
`saml1`
SAML 1.1 protocol.
`private boolean`
`saml2`
SAML 2.0 protocol.

### Fields inherited from class net.shibboleth.idp.cli.AbstractCommandLineArguments

`BASEURL_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`MetadataQueryArguments()`

## Method Summary

Modifier and Type
Method
Description
`protected StringBuilder`
`doBuildURL(StringBuilder builder)`
Override this method to modify the eventual URL and attach any parameters.
`void`
`validate()`
Validate the parameter set.

### Methods inherited from class net.shibboleth.idp.cli.AbstractCommandLineArguments

`buildURL, getBasicAuthHeader, getHeaders, getHelp, getMethod, getPassword, getPath, getTrustStore, getTrustStorePassword, getTrustStoreType, getURL, getUsername, isDisableNameChecking, isUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### entityID

@Nullable private String entityID
EntityID.

### protocol

@Nullable private String protocol
Role protocol.

### saml1

private boolean saml1
SAML 1.1 protocol.

### saml2

private boolean saml2
SAML 2.0 protocol.

### cas

private boolean cas
CAS protocol.

## Constructor Details

### MetadataQueryArguments

public MetadataQueryArguments()

## Method Details

### validate

public void validate()
Validate the parameter set.

Specified by:
  `validate` in interface `CommandLineArguments`
Overrides:
  `validate` in class `AbstractCommandLineArguments`

### doBuildURL

@Nonnull protected StringBuilder doBuildURL(@Nonnull StringBuilder builder)
Override this method to modify the eventual URL and attach any parameters.

Overrides:
  `doBuildURL` in class `AbstractCommandLineArguments`
Parameters:
  `builder` - contains the URL in a partial state of construction, possibly including query string
Returns:
  a builder containing the modified URL string